<%--
  Created by IntelliJ IDEA.
  User: Administrator
  Date: 2020/9/11
  Time: 12:54
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.util.*" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%!
    Pub pub = new Pub();
    public long getDays(String b_date,String e_date){
        long day = 10L;
        try{
            SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd");
            java.util.Date now = df.parse(b_date);
            java.util.Date date=df.parse(e_date);
            long l=now.getTime()-date.getTime();
            day=l/(24*60*60*1000);

        }catch(Exception e){}
        return day;
    }
    public String getDeptName(ConnectionFactory cf,Connection conn,String dept_id){
        StringBuffer sql = new StringBuffer();
        String deptName="";
        sql.append("select t1.dept_name as dept_name_4,t2.dept_name as dept_name_3,t3.dept_name as dept_name_2,t4.dept_name as dept_name_1 from ");
        sql.append("tp_dept t1 left join tp_dept t2 on t1.p_id=t2.id");
        sql.append(" left join tp_dept t3 on t2.p_id=t3.id");
        sql.append(" left join tp_dept t4 on t3.p_id=t4.id");
        sql.append(" where t1.id=?");
        Vector v_list = cf.doQuery(conn, sql.toString(), null, new Object[]{dept_id});
        if(v_list!=null && v_list.size()>0){
            Hashtable ht = (Hashtable) v_list.get(0);
            String dept_name_4 = pub.trimNull((String) ht.get("dept_name_4"));
            String dept_name_3 = pub.trimNull((String) ht.get("dept_name_3"));
            String dept_name_2 = pub.trimNull((String) ht.get("dept_name_2"));
            String dept_name_1 = pub.trimNull((String) ht.get("dept_name_1"));
            if(!"".equals(dept_name_3)){
                deptName=dept_name_3+">"+dept_name_4;
            }else{
                deptName=dept_name_4;
            }
            if(!"".equals(dept_name_2)){
                deptName=dept_name_2+">"+dept_name_3+">"+dept_name_4;
            }
            if(!"".equals(dept_name_1)){
                deptName=dept_name_1+">"+dept_name_2+">"+dept_name_3+">"+dept_name_4;
            }
        }
        return deptName;
    }
%>
<%
    response.setCharacterEncoding("UTF-8");
    request.setCharacterEncoding("UTF-8");
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd");
    Connection conn = null;
    Vector v_list = null;
    String type = pub.trimNull(request.getParameter("type"));
    String field[] = request.getParameterValues("phone_view");
    response.setContentType("application/vnd.ms-excel");
    response.setHeader("Content-Disposition", "attachment; filename=" + "excel.xls");
    try {
        conn = com.censoft.db.DBUtil.getRedConnection();
        String sql="";
        StringBuffer sb = new StringBuffer();
        if("all".equals(type)){
            sb.append("select t1.*," +
                    "t2.dept_name,t3.end_num_rules from tp_phone_info t1 left join tp_dept t2 on t1.dept_id=t2.id " +
                    "left join tp_special_num_rules t3 on t1.rule_id = t3.id where 1=1 ");
        }else if("normal".equals(type)){
            sb.append("select t1.*," +
                    "t2.dept_name from tp_phone_info t1 left join tp_dept t2 on t1.dept_id=t2.id " +
                    " left join tp_special_num_rules t3 on t1.rule_id = t3.id where (t1.rule_id is null or t1.rule_id='') ");
        }else if("special".equals(type)){
            sb.append("select t1.*," +
                    "t2.dept_name,t3.end_num_rules from tp_phone_info t1 left join tp_dept t2 on t1.dept_id=t2.id  " +
                    " join tp_special_num_rules t3 on t1.rule_id = t3.id where 1=1 ");
        }
        sb.append(" and t1.phone in (");
        if(field!=null&&field.length>0){
            for(int i=0;i<field.length;i++){
                if(i==field.length-1){
                    sb.append("'" + field[i] + "'");
                }else{
                    sb.append("'" + field[i] + "',");
                }
            }
        }
        sb.append(" )");
        v_list = cf.doQuery(conn, sb.toString(), null, new Object[]{});
        if (v_list == null) {
            System.out.println("查询出错"+cf.getMsg());
            return;
        }
%>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="pragma" content="no-cache">
    <meta http-equiv="cache-control" content="no-cache, must-revalidate">
    <meta http-equiv="expires" content="0">
    <title></title>
    <style>
        table th{border:1px solid  black}
        table td{border:1px solid  black}
    </style>
</head>
<body>
<table style="border-collapse:collapse;border:1px solid  black;">
    <thead>
    <tr class="text-c">
        <th width="30px">序号</th>
        <th width="150px">单位名称</th>
        <th width="150px">号码</th>
        <th width="80px">楼编号</th>
        <th width="50px">楼层</th>
        <th width="80px">房间号</th>
        <th width="80px">使用人</th>
        <!--<th width="120px">设备类型</th>
        <th width="120px">业务类型</th>-->
        <th width="70px">话机编号</th>
        <th width="70px">类别</th>
        <th width="70px">点位</th>
        <th width="70px">分电房间号</th>
        <th width="70px">局线</th>
        <th width="70px">配线</th>
        <th width="70px">过配房间</th>
        <th width="70px">过配局线</th>
        <th width="70px">过配配线</th>
        <th width="70px">en码</th>
        <th width="70px">设备</th>
        <th width="80px">状态</th>
        <th width="70px">尾号规则</th>
    </tr>
    </thead>
    <tbody>
    <%
        if (v_list != null && v_list.size() > 0) {
            for (int i = 0; i < v_list.size(); i++) {
                Hashtable ht = (Hashtable) v_list.get(i);
                String phone_view = pub.trimNull((String) ht.get("phone"));
                String dept_id = pub.trimNull((String) ht.get("dept_id"));
                String user_dept_name = pub.trimNull((String) ht.get("user_dept_name"));
                String dept_name_view = "";
                if(!"".equals(user_dept_name)){
                    dept_name_view=user_dept_name;
                }else{
                    dept_name_view=getDeptName(cf,conn,dept_id);
                }
                String status_view = pub.trimNull((String) ht.get("status"));
                String update_time_view = pub.trimNull((String) ht.get("update_time"));
                if("0".equals(status_view)){
                    if("".equals(update_time_view)){
                        status_view="可用";
                    }else{
                        Date sysdate = new Date();
                        String now = df.format(sysdate);
                        if(getDays(now,update_time_view)>180){
                            status_view="可用";
                        }else {
                            Calendar calendar2 = Calendar.getInstance();
                            calendar2.setTime(df.parse(update_time_view));
                            calendar2.add(Calendar.DATE, 180);
                            Date date1 = calendar2.getTime();
                            String e_time = df.format(date1);
                            status_view="冻结至"+e_time;
                        }
                    }
                }else if("1".equals(status_view)){
                    status_view="分配中";
                }else if("2".equals(status_view)){
                    status_view="已用";
                }else if("3".equals(status_view)){
                    status_view="冻结";
                }
                String user_name_view = pub.trimNull((String) ht.get("user_name"));
                String endNumRules = pub.trimNull((String) ht.get("end_num_rules"));
                String user_building = pub.trimNull((String) ht.get("user_building"));
                String user_floor = pub.trimNull((String) ht.get("user_floor"));
                String user_room = pub.trimNull((String) ht.get("user_room"));
                String device_type = pub.trimNull((String) ht.get("device_type"));
                String service_type = pub.trimNull((String) ht.get("service_type"));
                String dianwei = pub.trimNull((String) ht.get("dianwei"));
                String fd_roomnum = pub.trimNull((String) ht.get("fd_roomnum"));
                String juxian = pub.trimNull((String) ht.get("juxian"));
                String peixian = pub.trimNull((String) ht.get("peixian"));
                String gp_fj = pub.trimNull((String) ht.get("gp_fj"));
                String gp_jx = pub.trimNull((String) ht.get("gp_jx"));
                String gp_px = pub.trimNull((String) ht.get("gp_px"));
                String en_code = pub.trimNull((String) ht.get("en_code"));
                String shebei = pub.trimNull((String) ht.get("shebei"));
    %>
    <tr class="text-c">
        <td><%=i%>
        </td>
        <td id="<%=dept_name_view%>"><%=dept_name_view%>
        </td>
        <td><%=phone_view%>
        </td>
        <td><%=user_building%>
        </td>
        <td><%=user_floor%>
        </td>
        <td><%=user_room%>
        </td>
        <td><%=user_name_view%>
        </td>
        <td><%=device_type%>
        </td>
        <td><%=service_type%>
        </td>
        <td><%=dianwei%>
        </td>
        <td><%=fd_roomnum%>
        </td>
        <td><%=juxian%>
        </td>
        <td><%=peixian%>
        </td>
        <td><%=gp_fj%>
        </td>
        <td><%=gp_jx%>
        </td>
        <td><%=gp_px%>
        </td>
        <td><%=en_code%>
        </td>
        <td><%=shebei%>
        </td>
        <td><%=status_view%>
        </td>
        <td><%=endNumRules%>
        </td>
            <%
            }
        }
    %>
    </tbody>
</table>
</body>
</html>

<%
    } catch (Exception e) {
        out.println("查询信息异常" + e);
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
    out.close();
%>